When customers return request is found to be eligible, this endpoint submits the return request by order ID.
Note: If you do not have order ID, use the corresponding order number-based endpoint- POST /orders/order-number/{orderNumber}/actions/submit-return-request.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
24-character system-generated order ID returned in the response of Create Order - POST /orders endpoint.
Return request
Item details
Merchant-defined source from where the return request was initiated. There are no pre-defined values; possible values are Customer Service Representative (CSR), point-of-sale (POS), etc.
"CSR"
Merchant-defined custom attributes. This is a placeholder for additional info in key: value pairs
{
"fraudCheckSessionId": "59f1d2b88de74aef96d3ec900ad548e0",
"fraudStatus": "FRAUD_PASS"
}Employee (ID or name) who initiated the request
"62272e917b12209e68751d94"
true: Return includes one or more exchanges. false: Only returns, no exchange.
false
Merchant-defined reason code for return
"Incorrect item"
Merchant-defined time for return (UTC)
"2022-07-11T15:03:14.642Z"
Merchant-defined total refund amount
21.5
Return request accepted
An object containing the details of a returned order.